KDE 4.6 PyKDE API Reference

- KDE's Python API

# GeoDataContainer Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A base class that can hold GeoDataFeatures

GeoDataContainer is the base class for the GeoData container classes GeoDataFolder and GeoDataDocument. It is never instantiated by itself, but is always used as part of a derived class.

It is based on GeoDataFeature, and it only adds a QVector<GeodataFeature *> to it, making it a Feature that can hold other Features.

See also:
  GeoDataFolder

See also:
  GeoDataDocument

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataContainer other)
| append (self, Marble.GeoDataFeature other)
Marble.GeoDataFeature | at (self, int pos)
Marble.GeoDataFeature | child (self, int a0)
int | childPosition (self, Marble.GeoDataFeature child)
| clear (self)
Marble.GeoDataFeature | first (self)
Marble.GeoDataFeature | last (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| remove (self, int index)
int | size (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataContainer | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataFeature | other
| ) |  |  |

add an element

Marble.GeoDataFeature at | ( | self, |
|  | int | pos
| ) |  |  |

return the reference of the element at a specific position

Marble.GeoDataFeature child | ( | self, |
|  | int | a0
| ) |  |  |

returns the requested child item

int childPosition | ( | self, |
|  | Marble.GeoDataFeature | child
| ) |  |  |

returns the position of an item in the list

clear | ( |  | self ) |

Marble.GeoDataFeature first | ( |  | self ) |

return the reference of the last element for convenience

Marble.GeoDataFeature last | ( |  | self ) |

return the reference of the last element for convenience

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the container to a stream.

Parameters:

  |  | stream the stream

remove | ( | self, |
|  | int | index
| ) |  |  |

int size | ( |  | self ) |

size of the container

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the container from a stream

Parameters:

  |  | stream the stream